GET /openapi/memorylake/admin/v1/access-groups/{group_id}/effective-permissions
所需权限:
access_group:view路径参数
string
必填
标识符
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/admin/v1/access-groups/7013fb5c15cfb29411f040967354b8a3/effective-permissions' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
显示 Access Group Effective Permissions 对象
显示 Access Group Effective Permissions 对象
string
用户组
integer
成员数
string
显示名称
array
array
用户组开放访问的实例,按资源类型列出
显示 Access Scope Entry 对象
显示 Access Scope Entry 对象
string
all 表示所有实例;instances 表示仅列出的实例string
资源类型,例如
memorylake:project(参见 GET /permission-catalog)array
只读。成员角色对该类型授予的实例级操作——即范围条目最多可允许的操作。
array
mode 为 instances 时的实例列表object
array
用户组自有列表中未生效的权限
{
"success": true,
"message": "Operation completed successfully",
"data": {
"group_id": "cda040c43b8de706929b9cfad8d35791",
"member_count": 1,
"name": "Example name",
"permissions": [
{
"permission": "example",
"sources": [
{
"type": "role",
"id": "7ea9bf65e6937c3c168bc7a2a0f6fbf2",
"name": "Example name"
}
]
}
],
"scopes": [
{
"mode": "all",
"resource_type": "example",
"available_actions": [
"example"
],
"instances": [
{
"id": "bc572b050c9920425b5fd75681eccbb2",
"actions": [],
"effective_actions": [],
"permission_level": "read",
"shadowed_actions": [],
"via_permission_level": false,
"workspace_id": "0fa2d21dc175adc7a003e0b37f156cb1"
}
]
}
],
"inherits_from": {
"type": "role",
"id": "7ea9bf65e6937c3c168bc7a2a0f6fbf2",
"name": "Example name"
},
"overridden_permissions": [
"example"
]
}
}
错误
出错时返回success: false、message 和 error_code。全部错误码见错误码。
| 状态码 | 含义 |
|---|---|
401 | API Key 缺失、无效、已停用或已过期 |
403 | 该 Key 无权执行此操作 |
404 | 资源不存在 |
422 | 请求体或参数未通过校验 |
429 | 请求过多,请按 Retry-After 等待后重试 |
500 | 服务端错误 |